<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <artifactId>amos-boot-module-api</artifactId>
    <groupId>com.amosframework.boot</groupId>
    <version>1.0.0</version>
  </parent>

  <artifactId>amos-boot-module-knowledgebase-api</artifactId>

  <dependencies>
   <dependency>
      <groupId>org.typroject</groupId>
      <artifactId>tyboot-component-emq</artifactId>
      <version>${tyboot-version}</version>
      <exclusions>
        <exclusion>
          <groupId>org.typroject</groupId>
          <artifactId>*</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
      <!-- 规则模块 -->
    <dependency>
      <groupId>com.yeejoin</groupId>
      <artifactId>amos-component-rule</artifactId>
    </dependency>
    <!-- 解析word -->
	    <dependency>
	      <groupId>org.docx4j</groupId>
	      <artifactId>docx4j</artifactId>
	      <version>3.3.6</version>
	      <exclusions>
	      	<exclusion>
	      			  <groupId>org.slf4j</groupId>
		  <artifactId>slf4j-log4j12</artifactId>
	      	</exclusion>
	      </exclusions>
	    </dependency>
	    <dependency>
	      <groupId>org.docx4j</groupId>
	      <artifactId>docx4j-ImportXHTML</artifactId>
	      <version>3.3.6</version>
	    </dependency>
	    <dependency>
	      <groupId>org.docx4j</groupId>
	      <artifactId>docx4j-export-fo</artifactId>
	      <version>3.3.6</version>
	    </dependency>
	   <!-- 解析html -->
	   <dependency>
	     <groupId>org.jsoup</groupId>
	     <artifactId>jsoup</artifactId>
	     <version>1.11.2</version>
	   </dependency>
	       <!--  解析pdf -->
	    <dependency>
	      <groupId>com.itextpdf</groupId>
	      <artifactId>kernel</artifactId>
	      <version>${itext.version}</version>
	    </dependency>
	    <dependency>
	      <groupId>com.itextpdf</groupId>
	      <artifactId>layout</artifactId>
	      <version>${itext.version}</version>
	    </dependency>
	    <dependency>
	      <groupId>com.itextpdf</groupId>
	      <artifactId>html2pdf</artifactId>
	      <version>2.0.1</version>
	    </dependency>
	     <!-- 解析excel -->
	    <dependency>
	      <groupId>org.apache.poi</groupId>
	      <artifactId>poi</artifactId>
	      <version>4.0.1</version>
	    </dependency>
	    <dependency>
	      <groupId>org.apache.poi</groupId>
	      <artifactId>poi-ooxml</artifactId>
	      <version>4.0.1</version>
	    </dependency>
	    <dependency>
	     <groupId>org.springframework.boot</groupId>
	     <artifactId>spring-boot-starter-data-elasticsearch</artifactId>
	   </dependency>
  </dependencies>
</project>
